Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 30 Oct 2014, 10:35
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
clamtk 4.38-1 en Precise Puppy 5.7.1
Moderators: rarsa
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
Ova1947

Joined: 28 Aug 2013
Posts: 3

PostPosted: Thu 05 Sep 2013, 09:03    Post_subject:  clamtk 4.38-1 en Precise Puppy 5.7.1
Sub_title: Instalé clamtk con el PPM y no funciona
 

En la terminal dice:
#clamtk
Can' t locate IO / Socket / INET.pm in @INC (@INC contains: /etc/perl/usr/local/lib/perl/5.14.2/usr/local/share/perl/ ......................

¿Pueden ayudarme a solucionar esto y que clamtk funcione ?
Back to top
View user's profile Send_private_message 
GustavoYz


Joined: 07 Jul 2010
Posts: 897
Location: .ar

PostPosted: Thu 05 Sep 2013, 13:57    Post_subject:  

Hola, te falta IO::Socket que es un módulo de Perl.
Como es un "core módule", yo diría que te falta el devxxx.sfs correspondiente a tu versión.

Si no querés instalarlo, probá:
Code:
cpanp i IO::Socket

e instalá todos los módulos adicionales que te pida.

_________________

Back to top
View user's profile Send_private_message 
Ova1947

Joined: 28 Aug 2013
Posts: 3

PostPosted: Thu 05 Sep 2013, 15:35    Post_subject:  

Me sale:
# cpanp i IO::Socket
bash: cpanp: command not found
Back to top
View user's profile Send_private_message 
nilsonmorales


Joined: 15 Apr 2011
Posts: 508
Location: El salvador

PostPosted: Thu 05 Sep 2013, 15:47    Post_subject:  

No se que podria ser tu problema pero.
En el canal irc en español #puppy-es hicimos un front end para clamav no estaria de mas probar

http://puppyes.com.ar/2013/08/30/clamvtk-interface-para-el-antivirus-clamav/.
Saludos.

_________________
My blog


Back to top
View user's profile Send_private_message MSNM 
GustavoYz


Joined: 07 Jul 2010
Posts: 897
Location: .ar

PostPosted: Thu 05 Sep 2013, 16:04    Post_subject:  

Tu problema no es culpa tuya: tu sistema no incluye los módulos Perl mínimos por defecto sino que están por separados en el devxxx.sfs. Perl reporta que te falta IO::Socket que es un core module de los más usados... Además, Puppy Linux incluye cpanp en el devxx ahora? Confused

Este es un problema, ya que la interfaz que vos querés usar usa el módulo GTK2 para Perl e instalarlo sin cpanp no va a ser un proceso feliz ni mucho menos fácil.

Instalá una GUI alternativa, entonces...

_________________

Back to top
View user's profile Send_private_message 
vicmz


Joined: 15 Jan 2012
Posts: 1125

PostPosted: Thu 05 Sep 2013, 16:45    Post_subject:  

GustavoYz wrote:
Además, Puppy Linux incluye cpanp en el devxx ahora? Confused


Tengo el devx agregado en Precise 5.7.1, esto es lo que dice el terminal

ROXTerm wrote:
sh-4.1# cpanp
CPANPLUS::Shell::Default -- CPAN exploration and module installation (v0.9103)
*** Please report bugs to <bug-cpanplus@rt.cpan.org>.
*** Using CPANPLUS::Backend v0.9103.
*** ReadLine support available (try 'i Term::ReadLine::Perl').

*** Type 'p' now to show start up log

Did you know...
You can add custom sources to your index. See '/cs --help' for details
CPAN Terminal>


Si ya sabes qué dependencia falta la puedes buscar en el PPM o en Internet. También puedes probar la interfaz que dice nilsonmorales. Si no, puedes probar esto:
1. Dale clic al botón de configurar el PPM (Gestor de Paquetes), en la ventana que sale dale clic al botón "Actualizar" y en las ventanas de terminal que aparecen da Intro (Enter) a cada mensaje, esto es para que el PPM reconozca los últimos paquetes de los repositorios (de Ubuntu, Debian o Slackware según el Puppy que uses, incluyendo también los de Puppy en sí mismo). Luego reinicia el PPM.
2. Cuando busques "clamtk" selecciona "cualquier tipo" en la sección "tipos de paquetes" de la izquierda (solo por si acaso). En el diálogo que sale selecciona el botón de buscar que está abajo para buscar en todos los repositorios.
3. Al dar clic en el resultado el PPM te dirá qué dependencias faltan, para ver la lista completa dale clic al botón "Examinar Dependencias". Asegúrate de tener el espacio indicado por el PPM para instalar todo, luego puedes descargar-e-instalar o descargar-solamente.
Screenshot_2013-09-05_18_04_35.png
 Description   
 Filesize   46.9 KB
 Viewed   285 Time(s)

Screenshot_2013-09-05_18_04_35.png

Screenshot_2013-09-05_18_02_59.png
Description 
png

 Download 
Filename  Screenshot_2013-09-05_18_02_59.png 
Filesize  83.56 KB 
Downloaded  150 Time(s) 

_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send_private_message 
Ova1947

Joined: 28 Aug 2013
Posts: 3

PostPosted: Thu 05 Sep 2013, 17:51    Post_subject:  

Bueno, instalé los dos .pet del enlace de "nilsonmorales" y ahora funciona perfectamente. Muchas gracias a todos por la ayuda.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0626s ][ Queries: 13 (0.0070s) ][ GZIP on ]